const chatHistory = document.getElementById('chat-history');
const userInput = document.getElementById('user-input');
const sendBtn = document.getElementById('send-btn');

const caesarResponses = [
  "Veni, vidi, vici!",
  "La Gaule est divisée en trois parties...",
  "La fortune sourit aux audacieux.",
  "Alea jacta est!",
  "La discipline est la force principale des armées.",
  "La guerre des Gaules fut une grande épreuve.",
  "Les Belges sont les plus braves de tous les Gaulois.",
  "La stratégie est essentielle dans toute campagne militaire.",
  "Les Gaulois étaient de redoutables adversaires.",
  "La victoire appartient à ceux qui savent l'attendre."
];

function addMessage(text, isUser) {
  const messageDiv = document.createElement('div');
  messageDiv.classList.add('message');
  messageDiv.classList.add(isUser ? 'user-message' : 'caesar-message');
  messageDiv.textContent = text;
  chatHistory.appendChild(messageDiv);
  chatHistory.scrollTop = chatHistory.scrollHeight;
}

function getCaesarResponse() {
  const randomIndex = Math.floor(Math.random() * caesarResponses.length);
  return caesarResponses[randomIndex];
}

sendBtn.addEventListener('click', () => {
  const question = userInput.value.trim();
  if (question) {
    addMessage(question, true);
    userInput.value = '';
    setTimeout(() => {
      addMessage(getCaesarResponse(), false);
    }, 1000);
  }
});

userInput.addEventListener('keypress', (e) => {
  if (e.key === 'Enter') {
    sendBtn.click();
  }
});